<?php

function display_dashboard_gl_filtering_parameters() {
    
    dashboard_set_from_to_months('from_month_id', 'to_month_id');
    
    start_table(TABLESTYLE, "width=25%");
        $dash_purchs_array = get_dashboard_gl_types_array();
        custom_values_list_row("Type:", 'group_code', $dash_purchs_array, null, false, true);
        months_list_row("From Month:", 'from_month_id', null, false, true);   
        months_list_row("To Month:", 'to_month_id', null, false, true);  

        set_global_dashboard_from_month($_POST['from_month_id']);
        set_global_dashboard_to_month($_POST['to_month_id']);
    end_table(1);

    start_table(TABLESTYLE);
        start_row();
            submit_center_first('DashboardPurch', "Display", '', 'process', ICON_OK);
        end_row();
    end_table(2);
}

function get_dashboard_gl_types_array() {
    $dash_purchs_array = array();
    
        $dash_purchs_array['BUDGETS'] = "Budgets";
//        $dash_purchs_array['APPROVALS'] = "Approvals";
        
        return $dash_purchs_array;
}

function display_dashboard_gl_view() {
    global $path_to_root, $Ajax;

    $from_month = get_month(get_global_dashboard_from_month());
    $to_month = get_month(get_global_dashboard_to_month());

    $Ajax->activate('uda_ddg');
        div_start('uda_ddg');

            start_table();

                switch ($_POST['group_code']) {
                    case 'BUDGETS':
                        include_once("$path_to_root/dashboard/includes/ui/dashboard_gl_budgets_ui.inc");
                        include_once($path_to_root . "/dashboard/includes/db/dashboard_gl_budgets_db.inc"); 
                        dashboard_display_gl_budgets($from_month['display_order'], $to_month['display_order']);
                        break;
                    
                    default:        
                        break;
                }

            end_table(2);
        div_end();
}

?>